Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000525Dwarf FortressDwarf Mode -- Militarypublic2010-04-05 15:092014-08-23 13:25
ReporterGRead 
Assigned ToToady One 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.31.01 
Target VersionFixed in Version0.40.10 
Summary0000525: Peasants in the military receive bad thoughts when going off duty.
DescriptionSoldiers without Civilian skills will receive the bad thought 'was upset aboutt being relieved from duty' when going off-duty for any reason, such as drinking, eating, or just taking a break.
Steps To ReproduceEmbark with 7 dwarfs with only military skills. Create a squad of seven and a burrow for them to defend. set them to defend the burrow with a minimum of 4-5 dwarfs. When the on-duty dwarfs get thirsty, they will revert to civilian status, be replaced by one of the off-duty dwarfs, and receive a bad thought in the process.
TagsMilitary, thoughts
Attached Files

- Relationships
related to 0000969new Can set ridiculous amount of orders for a single month 
related to 0003190resolvedToady One "Long patrol duty" thoughts accumulate from all squad orders, including training 
has duplicate 0003052resolvedFootkerchief Dwarf being "upset about being relieved from duty" for no reason 
related to 0002439new Military dwarves are automatically dismissed and re-drafted each month, leading to a guaranteed bad thought 

-  Notes
(0001286)
derigo (reporter)
2010-04-05 19:01

This isn't really a bug, its a balance problem combined with an artifact from 40d. It used to sort of make sense for dwarves to get pissed if they got kicked out of the military but had no civilian skills. But now they change states to eat and sleep and whatnot, it doesn't make sense anymore.

Train your peasants to be novice woodcutters, or something, and they'll be fine.
(0001520)
DoctorZuber (reporter)
2010-04-06 10:46

I am unable to confirm this. I started a new fort specifically to test this bug. I embarked with seven unskilled peasants, and one bismuth bronze axe (for fun!). I quickly drafted one of the peasants into the military and outfitted him with the nice sharp shiny axe hoping to see some fun. I was disappointed.

I repeatedly issued move and kill orders to this peasant and canceling them, I watched closely and no bad thoughts appeared. If there is something to this report, it appears that it is not from canceling active squad commands.

I did not try to verify if bad thoughts will appear from finishing a training task or other passive military behaviors of that nature.
(0001527)
Halconnen (reporter)
2010-04-06 10:55
edited on: 2010-04-06 11:01

The bug report here is that they recieve bad thoughts when:

1. They have military skills and no civilian ones. This obviously doesn't apply to peasants with no military skills.
2. When they go off-duty on their own accord, like they do now when they take food or drinking breaks.

Try the Steps to Reproduce that GRead listed. Give them military skills, order them to defend their burrow, wait for some of them to go off-duty to eat, check their thoughts.

(0001536)
DoctorZuber (reporter)
2010-04-06 11:22

Since you asked, I am now embarking with one axedwarf, six completely unskilled peasants, and a shiny new steel axe. While I am skeptical, I am still hoping for a bit of . . . Fun!

And as before, nothing happens.

Despite my best efforts to be the most irritating squad commander in the history of dwarf-kind with my constant move kill and cancel orders I could not generate even so much as one single bad thought let alone create a mad berserker dwarf as I was hoping.

If there is still something here it will have to be in the passive behavior of going off duty themselves which is much more tedious to look for. *sigh*
(0001545)
slitherrr (reporter)
2010-04-06 11:42

Related to this, does the reverse apply, i.e., do dwarves with civilian skills and no military skills receive unhappy thoughts when going back on-duty?
(0001548)
Draco18s (reporter)
2010-04-06 11:53

This issue gets compounded by the fact that when the month changes ALL military dwarves go off-duty for a couple of seconds. So even if you have a block, 6 months long, of training your peasant militia will get civvie'd and re-recruited *at least* 6 times. One of my dwarves got booted out of the military on the 27th of Moonstone, 7th, and 25th of Opal. Then was re-admitted on the following day (the 28th, 8th, and 26th).

Another dwarf was "made militia commander" on the 7th, 9th, 12th, 14th of Opal the same year (no events of him going civvie though). Then the following month (Obsidian): 1st, 6th, 6th (again), 7th, 24th, and 26th.
(0001555)
GRead (reporter)
2010-04-06 12:45

@DoctorZuber I'm not sure why you're having trouble duplicating this. I just embarked with 7 proficient wrestlers (no other skills), drafted them all, gave them a move order, and then cancelled it once they reached their destination. All seven got the bad thought. I then repeated 20 or 30 times and they were all still content; so I guess it doesn't stack. But the thought is definitely there.

@slitherrr I would imagine so, but *that* is something that would be a massive pain to test. You'd need to set some dwarfs without military skills to guard some obscure burrow where they're guaranteed to never accidentally accrue military skills, and then check back in a year or so to see if the thought is still in their status screen.

@Draco18s actually, being made militia commander is both the announcement of him going military and of him going civvy; when civilian the militia commander retains his\her title and it takes the place of his profession in announcements.
(0001559)
DoctorZuber (reporter)
2010-04-06 13:01
edited on: 2010-04-06 13:09

ah ha... Okay now I finally see something. On careful inspection of one of my dwarves I found the thought "Complained recently about the draft." While I still think the active squad commands are off the hook, there still remains some unanswered questions here. With two fortress now in my wake suffering from mass insanity and starvation, I strive forward in an attempt to create a third, only without the starvation.

I will do one last test. This time I am embarking with one axedwarf, one appraiser, and five unskilled peasants. We are bringing along six copper picks, one bismuth bronze axe, and an enormous supply of beer and warthog tripe. There will be no starvation in this fortress! This test may take some time, results to follow.

(0001649)
DoctorZuber (reporter)
2010-04-06 19:27
edited on: 2010-04-06 19:29

I created a third simple test fort as described. I had a huge stockpile of food so that nobody would starve, and I provided a simple 1x3 room for everyone in the fortress. I then sat back and watched to see what would happen.

My two test subjects are an axedwarf with no civilian skills, and a peasant with no skills whatsoever. They are both in constant training at a weapon rack/armor rack I zoned as a training area. I finished setting up my small test area in spring, and have let things run clear through to mid-winter.

Periodically I am checking each of my military dwarves for any sign of unhappy thoughts. However the only things they are complaining about is the same old beer and the same old food.

So I have now found nothing, once again. *sigh* And I was all fired up to see a massacre too.

(0001655)
DoctorZuber (reporter)
2010-04-06 20:06
edited on: 2010-04-06 20:07

okay, re-reading everything, I think I see where I am going wrong here. I notice that you're using defend burrows, and also that you're using less than all dwarves on duty at a given time to allow for shift changes.

doing a quick test to see if I'm wasting my time I embark with 7 as described and do the defend burrows. I notice some alligators and decide I want all seven involved in that nasty battle so I issue some squad commands. when canceling the 4 that are not "on duty" gain the unhappy thought of "upset about being relieved from duty". Now I believe you again. time to do some more tests.

(0009696)
JZE (reporter)
2010-07-06 13:11

@ Doctor Zuber

You are not getting the same results as everyone else because you are not starting your dwarves with military skills in the embark screen.

When we say peasants, we don't mean completely untrained dwarves, we mean completely untrained in civilian skills, but trained in military skills.

Give your "peasants" novice+ in any one or more weapon skill including wrestling and you will have all the same results as everyone else.
(0011666)
Altaree (reporter)
2010-08-09 11:05

Just a bump. This still happens in -10
(0011671)
kwieland (reporter)
2010-08-09 14:05
edited on: 2010-08-12 21:35

I tried to reproduce this to narrow in the problem. I embarked with lots of booze and food and weapons, with all dwarfs having a military specialty (no civilian). I had to cut some trees and build an armor stand, but the dwarf remained dabbling only.

In the process, I assigned a commander and created a squad with all seven dwarfs. Then I had to disband them to get them to cut down a tree. I checked and all the dwarfs (remember, they have no civilian occupations) get bad thoughts about being "relieved from duty".

I put them on the default active/train schedule and let it run for a while. I issued some move, kill, station. No problems, not bad thoughts. As soon as I canceled the station, though, all of them got the red down arrows since they became civilians. The thoughts still read that they were upset about being "relieved from duty". Immediately they were drafted again, though, and the red down arrow went away. I must have had them moving too much, as some got "grumbled about long patrols" thoughts, as well as the "same ol' booze/food" thoughts.

So I started over. Science, SCIENCE! Same as before, all military, booze, etc. I removed one from the squad - relieved from duty bad thought. Moving them around, kill orders, didn't give the active duty ones bad thoughts. I changed the schedule to only require 4 dwarfs. Then, on month change, all of the active were changed momentarily to civilian and got the "relieved from duty" bad thought.

I found also learned that unlike in 40d, dwarfs with military professions don't come equipped with armor/weapons. However, true to 40d, ambushers get a full leather outfit with copper crossbow and bolts.

@Zuber, try it again?

EDIT: I just found another oddity with the military system. If you leave the soldiers in an alert such as the default "training" one, they will get bad thoughts for being on duty all the time (starts with annoyed, progresses to angry). I suppose you need to modify the default so that only 5-6 out of 7 are on active duty?

(0014452)
Ogg the Blinky Sock (reporter)
2010-12-08 06:30

@kwieland: yes, exactly. The main problem is that they will not eat or drink while on duty; the food they carry is just so they can eat quickly when they stand down, and then go back on duty. Being hungry or thirsty on duty makes them mad. Unfortunately, the anger with patrol duty seems to be cumulative, at this point, or at least doesn't go down quickly enough.
(0017919)
ObadiahtheSlim (reporter)
2011-06-02 09:53

The problem is, now with skills rusting, they can rust all the way down to novice. So Urist McMilitary may have started as a competent woodcutter, but he will be a peasant after a few years.
(0017925)
kwieland (reporter)
2011-06-02 16:22

I've noticed that rust seems to effect the lower levels more than the higher levels.
(0021266)
Kijiro (reporter)
2012-03-08 10:25

This still seems to be an issue in 34.04. I also find it odd that my military will complain of long patrol duty AND being relieved from duty.
(0027277)
TV4Fun (reporter)
2014-07-22 20:55

This issue still exists in 40.04
(0029535)
Toady One (administrator)
2014-08-23 13:25

I've removed the relieved/drafted thoughts, as they are obsolete the way things work now.

- Issue History
Date Modified Username Field Change
2010-04-05 15:09 GRead New Issue
2010-04-05 15:21 GRead Tag Attached: Military
2010-04-05 15:21 GRead Tag Attached: thoughts
2010-04-05 19:01 derigo Note Added: 0001286
2010-04-06 08:46 DoctorZuber Note Added: 0001465
2010-04-06 10:46 DoctorZuber Note Added: 0001520
2010-04-06 10:47 DoctorZuber Note Deleted: 0001465
2010-04-06 10:55 Halconnen Note Added: 0001527
2010-04-06 11:01 Halconnen Note Edited: 0001527 View Revisions
2010-04-06 11:22 DoctorZuber Note Added: 0001536
2010-04-06 11:42 slitherrr Note Added: 0001545
2010-04-06 11:53 Draco18s Note Added: 0001548
2010-04-06 12:45 GRead Note Added: 0001555
2010-04-06 13:01 DoctorZuber Note Added: 0001559
2010-04-06 13:05 DoctorZuber Note Edited: 0001559 View Revisions
2010-04-06 13:09 DoctorZuber Note Edited: 0001559 View Revisions
2010-04-06 19:27 DoctorZuber Note Added: 0001649
2010-04-06 19:29 DoctorZuber Note Edited: 0001649 View Revisions
2010-04-06 20:06 DoctorZuber Note Added: 0001655
2010-04-06 20:07 DoctorZuber Note Edited: 0001655 View Revisions
2010-04-10 02:30 Footkerchief Relationship added related to 0000916
2010-06-27 19:38 Footkerchief Relationship added parent of 0002486
2010-06-27 19:38 Footkerchief Relationship deleted parent of 0002486
2010-07-06 13:11 JZE Note Added: 0009696
2010-08-09 11:05 Altaree Note Added: 0011666
2010-08-09 11:52 Footkerchief Relationship added parent of 0002439
2010-08-09 11:54 Footkerchief Relationship replaced parent of 0000916
2010-08-09 11:54 Footkerchief Relationship added related to 0000969
2010-08-09 14:05 kwieland Note Added: 0011671
2010-08-09 14:05 kwieland Issue Monitored: kwieland
2010-08-12 21:35 kwieland Note Edited: 0011671 View Revisions
2010-08-17 18:36 Footkerchief Relationship added has duplicate 0003052
2010-08-18 10:41 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2010-12-07 19:39 Footkerchief Relationship added related to 0003190
2010-12-08 06:30 Ogg the Blinky Sock Note Added: 0014452
2011-01-16 21:20 alexleon Issue Monitored: alexleon
2011-02-16 14:41 jwest23 Issue Monitored: jwest23
2011-06-02 09:53 ObadiahtheSlim Note Added: 0017919
2011-06-02 16:22 kwieland Note Added: 0017925
2012-03-08 10:25 Kijiro Note Added: 0021266
2012-04-02 12:09 Footkerchief Relationship deleted parent of 0000916
2014-07-13 11:25 Footkerchief Relationship replaced related to 0002439
2014-07-22 20:55 TV4Fun Note Added: 0027277
2014-08-13 13:32 Footkerchief Assigned To => Footkerchief
2014-08-13 13:32 Footkerchief Status new => confirmed
2014-08-23 13:25 Toady One Note Added: 0029535
2014-08-23 13:25 Toady One Status confirmed => resolved
2014-08-23 13:25 Toady One Fixed in Version => Next Version
2014-08-23 13:25 Toady One Resolution open => fixed
2014-08-23 13:25 Toady One Assigned To Footkerchief => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker